## ros-one-moveit-ros-planning 1.1.16-49jammy.20251023.1518

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-49jammy.20251023.1518) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 15:18:46 +0000

ros-one-moveit-ros-planning (1.1.16-0jammy) jammy; urgency=high

  * Allow links to be ignored in PSM updates (#3645 <https://github.com/ros-planning/moveit/issues/3645>)
  * Contributors: Davide Torielli

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.15-0jammy) jammy; urgency=high

  * PSM: Correctly handle full planning scene message (#3610 <https://github.com/ros-planning/moveit/issues/3610>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.14-0jammy) jammy; urgency=high

  * Allow waiting for joint model group states and retrieval of group-specific timestamps (#3580 <https://github.com/ros-planning/moveit/issues/3580>)
  * Add joints_allowed_start_tolerance parameter for joint-specific start tolerances for TrajectoryExecutionManager (#3287 <https://github.com/ros-planning/moveit/issues/3287>)
  * PSM: keep references to scene_ valid upon receiving full scenes (#3538 <https://github.com/ros-planning/moveit/issues/3538>)
  * Warn if trajectory becomes invalid during execution (#3536 <https://github.com/ros-planning/moveit/issues/3536>)
  * Consider distance field padding for spheres (#3506 <https://github.com/ros-planning/moveit/issues/3506>)
  * Inform planning pipeline about waypoints added by AddIterativeSplineParameterization (#3466 <https://github.com/ros-planning/moveit/issues/3466>)
  * Add missing RUNTIME DESTINATION for moveit_cpp (#3494 <https://github.com/ros-planning/moveit/issues/3494>)
  * Gracefully handle exceptions thrown by planning pipelines (#3481 <https://github.com/ros-planning/moveit/issues/3481>)
  * Contributors: Hugal31, Michael Görner, Robert Haschke, Silvio Traversaro

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.13-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.12-0jammy) jammy; urgency=high

  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * CSM: do not jump back in time (#3393 <https://github.com/ros-planning/moveit/issues/3393>)
  * Fix MoveItCpp issues (#3369 <https://github.com/ros-planning/moveit/issues/3369>)
  * Skip executing zero-duration trajectories (#3362 <https://github.com/ros-planning/moveit/issues/3362>)
  * Drop unnecessary cmake dependency on moveit_resources (#3343 <https://github.com/ros-planning/moveit/issues/3343>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.11-0jammy) jammy; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.10-0jammy) jammy; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.9-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.8-0jammy) jammy; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.7-0jammy) jammy; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)


## ros-one-moveit-ros-planning 1.1.16-49jammy.20251208.0820

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-49jammy.20251208.0820) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 08:20:28 +0000

## ros-one-moveit-ros-planning 1.1.16-49noble.20251023.1553

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_ros_planning)

find_package(Boost REQUIRED system filesystem date_time program_options thread chrono)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_msgs
  moveit_ros_occupancy_map_monitor
  pluginlib
  actionlib
  roscpp
  rosconsole
  dynamic_reconfigure
  message_filters
  srdfdom
  urdf
  tf2
  tf2_geometry_msgs
  tf2_eigen
  tf2_msgs
  tf2_ros
)
moveit_build_options()

find_package(Eigen3 REQUIRED)

generate_dynamic_reconfigure_options(
  "planning_scene_monitor/cfg/PlanningSceneMonitorDynamicReconfigure.cfg"
  "trajectory_execution_manager/cfg/TrajectoryExecutionDynamicReconfigure.cfg"
  "plan_execution/cfg/PlanExecutionDynamicReconfigure.cfg"
  "plan_execution/cfg/SenseForPlanDynamicReconfigure.cfg")

set(THIS_PACKAGE_INCLUDE_DIRS
    rdf_loader/include
    kinematics_plugin_loader/include
    robot_model_loader/include
    constraint_sampler_manager_loader/include
    planning_pipeline/include
    planning_scene_monitor/include
    trajectory_execution_manager/include
    plan_execution/include
    collision_plugin_loader/include
    moveit_cpp/include
)

catkin_package(
  LIBRARIES
    moveit_rdf_loader
    moveit_kinematics_plugin_loader
    moveit_robot_model_loader
    moveit_constraint_sampler_manager_loader
    moveit_planning_pipeline
    moveit_trajectory_execution_manager
    moveit_plan_execution
    moveit_planning_scene_monitor
    moveit_collision_plugin_loader
    moveit_cpp
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    actionlib
    dynamic_reconfigure
    moveit_core
    moveit_ros_occupancy_map_monitor
    moveit_msgs
    pluginlib
    roscpp
    tf2_msgs
    tf2_geometry_msgs
  DEPENDS
    EIGEN3
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})
include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS})

add_subdirectory(rdf_loader)
add_subdirectory(collision_plugin_loader)
add_subdirectory(kinematics_plugin_loader)
add_subdirectory(robot_model_loader)
add_subdirectory(constraint_sampler_manager_loader)
add_subdirectory(planning_pipeline)
add_subdirectory(planning_request_adapter_plugins)
add_subdirectory(planning_scene_monitor)
add_subdirectory(planning_components_tools)
add_subdirectory(trajectory_execution_manager)
add_subdirectory(plan_execution)
add_subdirectory(moveit_cpp)

install(
  FILES
    planning_request_adapters_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== collision_plugin_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_plugin_loader)

add_library(${MOVEIT_LIB_NAME} src/collision_plugin_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== constraint_sampler_manager_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_constraint_sampler_manager_loader)

add_library(${MOVEIT_LIB_NAME} src/constraint_sampler_manager_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== kinematics_plugin_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematics_plugin_loader)

add_library(${MOVEIT_LIB_NAME} src/kinematics_plugin_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== moveit_cpp/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_cpp)

add_library(${MOVEIT_LIB_NAME}
  src/moveit_cpp.cpp
  src/planning_component.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_scene_monitor
  moveit_planning_pipeline
  moveit_trajectory_execution_manager
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(moveit_cpp_test test/moveit_cpp_test.test test/moveit_cpp_test.cpp)
  target_link_libraries(moveit_cpp_test moveit_cpp ${catkin_LIBRARIES})
endif()

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== plan_execution/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_plan_execution)

add_library(${MOVEIT_LIB_NAME}
  src/plan_with_sensing.cpp
  src/plan_execution.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_pipeline
  moveit_trajectory_execution_manager
  moveit_planning_scene_monitor
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  )
add_dependencies(${MOVEIT_LIB_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== planning_components_tools/CMakeLists.txt ===

add_executable(moveit_print_planning_model_info src/print_planning_model_info.cpp)
target_link_libraries(moveit_print_planning_model_info moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_print_planning_scene_info src/print_planning_scene_info.cpp)
target_link_libraries(moveit_print_planning_scene_info moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_display_random_state src/display_random_state.cpp)
target_link_libraries(moveit_display_random_state moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_visualize_robot_collision_volume src/visualize_robot_collision_volume.cpp)
target_link_libraries(moveit_visualize_robot_collision_volume moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_evaluate_collision_checking_speed src/evaluate_collision_checking_speed.cpp)
target_link_libraries(moveit_evaluate_collision_checking_speed moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if("${catkin_LIBRARIES}" MATCHES "moveit_collision_detection_bullet")
  add_executable(moveit_compare_collision_checking_speed_fcl_bullet src/compare_collision_speed_checking_fcl_bullet.cpp)
  target_link_libraries(moveit_compare_collision_checking_speed_fcl_bullet moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

add_executable(moveit_kinematics_speed_and_validity_evaluator src/kinematics_speed_and_validity_evaluator.cpp)
target_link_libraries(moveit_kinematics_speed_and_validity_evaluator moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_evaluate_state_operations_speed src/evaluate_state_operations_speed.cpp)
target_link_libraries(moveit_evaluate_state_operations_speed  moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_publish_scene_from_text src/publish_scene_from_text.cpp)
target_link_libraries(moveit_publish_scene_from_text moveit_planning_scene_monitor moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS
  moveit_print_planning_model_info
  moveit_print_planning_scene_info
  moveit_display_random_state
  moveit_visualize_robot_collision_volume
  moveit_evaluate_collision_checking_speed
  moveit_evaluate_state_operations_speed
  moveit_kinematics_speed_and_validity_evaluator
  moveit_publish_scene_from_text
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== planning_pipeline/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_pipeline)

add_library(${MOVEIT_LIB_NAME} src/planning_pipeline.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== planning_request_adapter_plugins/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_default_planning_request_adapter_plugins)

set(SOURCE_FILES
  src/empty.cpp
  src/fix_start_state_bounds.cpp
  src/fix_start_state_collision.cpp
  src/fix_start_state_path_constraints.cpp
  src/fix_workspace_bounds.cpp
  src/add_time_parameterization.cpp
  src/add_ruckig_traj_smoothing.cpp
  src/add_iterative_spline_parameterization.cpp
  src/add_time_optimal_parameterization.cpp
  src/resolve_constraint_frames.cpp
  src/limit_max_cartesian_link_speed.cpp
  )

add_library(${MOVEIT_LIB_NAME} ${SOURCE_FILES})
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_list_request_adapter_plugins src/list.cpp)
target_link_libraries(moveit_list_request_adapter_plugins ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS moveit_list_request_adapter_plugins
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== planning_scene_monitor/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_monitor)

add_library(${MOVEIT_LIB_NAME}
  src/planning_scene_monitor.cpp
  src/current_state_monitor.cpp
  src/trajectory_monitor.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_robot_model_loader
  moveit_collision_plugin_loader
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

add_executable(demo_scene demos/demo_scene.cpp)
target_link_libraries(demo_scene ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(current_state_monitor_test test/current_state_monitor.test test/current_state_monitor_test.cpp)
  target_link_libraries(current_state_monitor_test ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

  add_rostest_gtest(planning_scene_monitor_test test/planning_scene_monitor.test test/planning_scene_monitor_test.cpp)
  target_link_libraries(planning_scene_monitor_test ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})
endif()

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== rdf_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_rdf_loader)

add_library(${MOVEIT_LIB_NAME} src/rdf_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== robot_model_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_model_loader)

add_library(${MOVEIT_LIB_NAME} src/robot_model_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader moveit_kinematics_plugin_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-49noble.20251023.1553) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 15:53:41 +0000

ros-one-moveit-ros-planning (1.1.16-0noble) noble; urgency=high

  * Allow links to be ignored in PSM updates (#3645 <https://github.com/ros-planning/moveit/issues/3645>)
  * Contributors: Davide Torielli

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.15-0noble) noble; urgency=high

  * PSM: Correctly handle full planning scene message (#3610 <https://github.com/ros-planning/moveit/issues/3610>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.14-0noble) noble; urgency=high

  * Allow waiting for joint model group states and retrieval of group-specific timestamps (#3580 <https://github.com/ros-planning/moveit/issues/3580>)
  * Add joints_allowed_start_tolerance parameter for joint-specific start tolerances for TrajectoryExecutionManager (#3287 <https://github.com/ros-planning/moveit/issues/3287>)
  * PSM: keep references to scene_ valid upon receiving full scenes (#3538 <https://github.com/ros-planning/moveit/issues/3538>)
  * Warn if trajectory becomes invalid during execution (#3536 <https://github.com/ros-planning/moveit/issues/3536>)
  * Consider distance field padding for spheres (#3506 <https://github.com/ros-planning/moveit/issues/3506>)
  * Inform planning pipeline about waypoints added by AddIterativeSplineParameterization (#3466 <https://github.com/ros-planning/moveit/issues/3466>)
  * Add missing RUNTIME DESTINATION for moveit_cpp (#3494 <https://github.com/ros-planning/moveit/issues/3494>)
  * Gracefully handle exceptions thrown by planning pipelines (#3481 <https://github.com/ros-planning/moveit/issues/3481>)
  * Contributors: Hugal31, Michael Görner, Robert Haschke, Silvio Traversaro

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.13-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.12-0noble) noble; urgency=high

  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * CSM: do not jump back in time (#3393 <https://github.com/ros-planning/moveit/issues/3393>)
  * Fix MoveItCpp issues (#3369 <https://github.com/ros-planning/moveit/issues/3369>)
  * Skip executing zero-duration trajectories (#3362 <https://github.com/ros-planning/moveit/issues/3362>)
  * Drop unnecessary cmake dependency on moveit_resources (#3343 <https://github.com/ros-planning/moveit/issues/3343>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.11-0noble) noble; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.10-0noble) noble; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.9-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.8-0noble) noble; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-planning (1.1.7-0noble) noble; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)


=== debian/control ===
Source: ros-one-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-actionlib, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-srdfdom, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-tf2-ros, ros-one-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-dynamic-reconfigure, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-srdfdom, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-tf2-ros, ros-one-urdf
Conflicts: ros-one-moveit-ros-planning-interface (<< 1.1.2)
Replaces: ros-one-moveit-ros-planning-interface (<< 1.1.2)
Description: Planning components of MoveIt that use ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-ros-planning//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-ros-planning 1.1.16-49noble.20251208.1453

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-49noble.20251208.1453) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 14:53:36 +0000

## ros-one-moveit-ros-planning 1.1.16-50jammy.20260128.2152

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-50jammy.20260128.2152) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 21:52:03 +0000

## ros-one-moveit-ros-planning 1.1.16-50noble.20260128.2159

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-50noble.20260128.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 21:59:49 +0000

## ros-one-moveit-ros-planning 1.1.16-51jammy.20260301.2141

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-51jammy.20260301.2141) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:41:21 +0000

## ros-one-moveit-ros-planning 1.1.16-51noble.20260301.2136

=== debian/changelog ===
ros-one-moveit-ros-planning (1.1.16-51noble.20260301.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:36:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-actionlib, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-srdfdom, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-tf2-ros, ros-one-urdf
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-planning
